bm::block_waves_xor_descr Struct Reference
BIT functions

Structure to compute XOR gap-count profile by sub-block waves. More...

`#include <bmxor.h>`

## Data Fields

unsigned short | sb_gc [bm::block_waves]
| GAP counts.
unsigned short | sb_bc [bm::block_waves]
| BIT counts.
unsigned short | sb_xor_gc [bm::block_waves]
| XOR-mask GAP count.
unsigned short | sb_xor_bc [bm::block_waves]
| XOR-mask GAP count.

## Detailed Description

Structure to compute XOR gap-count profile by sub-block waves.

Definition at line 229 of file bmxor.h.

## Field Documentation

## sb_bc

unsigned short bm::block_waves_xor_descr::sb_bc[bm::block_waves]

BIT counts.

Definition at line 233 of file bmxor.h.

Referenced by bm::serializer< BV >::find_bit_best_encoding().

## sb_gc

unsigned short bm::block_waves_xor_descr::sb_gc[bm::block_waves]

GAP counts.

Definition at line 232 of file bmxor.h.

Referenced by bm::serializer< BV >::find_bit_best_encoding().

## sb_xor_bc

unsigned short bm::block_waves_xor_descr::sb_xor_bc[bm::block_waves]

XOR-mask GAP count.

Definition at line 237 of file bmxor.h.

## sb_xor_gc

unsigned short bm::block_waves_xor_descr::sb_xor_gc[bm::block_waves]

XOR-mask GAP count.

Definition at line 236 of file bmxor.h.

The documentation for this struct was generated from the following file:

- bmxor.h